#
# spec file for package wpebackend-fdo
#
# Copyright (c) 2020 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define sover 1

Name:           wpebackend-fdo
Version:        1.4.2
Release:        1.11
Summary:        A WPE backend designed for Linux desktop systems
License:        BSD-2-Clause
URL:            https://github.com/Igalia/WPEBackend-fdo
Source0:        %{url}/releases/download/%{version}/%{name}-%{version}.tar.xz
Source99:       baselibs.conf

BuildRequires:  c++_compiler
BuildRequires:  cmake
BuildRequires:  pkgconfig
BuildRequires:  pkgconfig(egl)
BuildRequires:  pkgconfig(gio-2.0)
BuildRequires:  pkgconfig(wayland-egl)
BuildRequires:  pkgconfig(wayland-scanner)
BuildRequires:  pkgconfig(wpe-1.0)
BuildRequires:  pkgconfig(xkbcommon)

%description
A WPE backend designed for Linux desktop systems.

%package -n     libWPEBackend-fdo-1_0-%{sover}
Summary:        Shared library for wpebackend-fdo

%description -n libWPEBackend-fdo-1_0-%{sover}
A WPE backend designed for Linux desktop systems.

This package contains the shared library.

%package        devel
Summary:        Development files for %{name}
Requires:       libWPEBackend-fdo-1_0-%{sover} = %{version}

%description    devel
The %{name}-devel package contains libraries, build data, and
header files for developing applications that use %{name}.

%prep
%autosetup -p1

%build
%cmake \
	%{nil}
%cmake_build

%install
%cmake_install

%post -n libWPEBackend-fdo-1_0-%{sover} -p /sbin/ldconfig
%postun -n libWPEBackend-fdo-1_0-%{sover} -p /sbin/ldconfig

%files -n libWPEBackend-fdo-1_0-%{sover}
%license COPYING
%doc NEWS
%{_libdir}/libWPEBackend-fdo-1.0.so.*

%files devel
%{_includedir}/wpe-fdo-1.0
%{_libdir}/libWPEBackend-fdo-1.0.so
%{_libdir}/pkgconfig/%{name}-1.0.pc

%changelog
* Thu Mar 12 2020 bjorn.lie@gmail.com
- Update to version 1.4.2:
  + Fix build failures with EGL implementations which do not
    provide an EGL/eglmesaext.h header.
* Tue Feb 25 2020 dimstar@opensuse.org
- Update to version 1.4.1 (boo#1164688):
  + Fix build failures with recent compiler versions due to missing
    function declarations.
- Drop memset-prototype.patch: fixed upstream.
* Mon Oct  7 2019 mgorse@suse.com
- Add memset-prototype.patch: fix usage of undeclared
  std::memset() function.
* Sat Oct  5 2019 bjorn.lie@gmail.com
- Add baselibs.conf, build 32-bit support libs.
- Drop Group tag added by mistake.
* Thu Sep 19 2019 bjorn.lie@gmail.com
- Update to version 1.4.0:
  + New macros in the API to check the version at compilation
    time.
  + New API for exported images which allows querying their
    dimension their backing EGLImageKHR.
  + Support DMA-BUF resource exports through a new callback in the
    API.
  + Added support for detaching and attaching new targets to a view
    backend.
  + Improved management and cleanup of Wayland resources.
  + Improved handling of Wayland events.
  + Build system improvements.
* Tue Sep 17 2019 mgorse@suse.com
- Update to version 1.3.91:
  + Support DMA-BUF resource exports through a new callback in the
    API.
  + Improve management and cleanup of Wayland resources.
  + Make the build more reliable using CMake imported library
    targets.
  + Enable compiler warnings.
- Drop wpebackend-fdo-fix-include-dirs.patch: fixed upstream.
* Thu Jul 25 2019 bjorn.lie@gmail.com
- Initial package for openSUSE, version 1.3.1.
